Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.security.group
Class GroupID

    java.lang.Object
      com.bea.portal.tools.resource.ResourceID
          com.bea.portal.tools.resource.framework.TaggedResourceID
              com.bea.portal.tools.security.group.GroupID

All Implemented Interfaces
  Serializable

    public final class GroupID

extends com.bea.portal.tools.resource.framework.TaggedResourceID

Identifies a group.

See Also
  Serialized Form

Constructor Summary
`GroupID(String resourceURN)` Constructor.

Method Summary
`String` | `getGroupName()` Get the name of the group.
`GroupID` | `getParentGroupID()` Get the parent `GroupID`.
`protected GroupIDBuilder` | `getResourceIDBuilder()` Get the `GroupID`.
`String` | `getTitle()` Get the title of the group.
`protected void` | `setResourcePathTags(boolean canonicalResourceURN, com.bea.portal.tools.resource.framework.TaggedResourceID.TagMap tags)`

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceID
`appendResourcePath, getTag, getTags, getTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceID
`appendResourceTypeNamespaceURI, computeResourceURN, computeResourceURN, equals, getCanonicalResourceURN, getResourceEnvironment, getResourceType, getResourceURN, hashCode, narrow, setCanonicalResourceURN, setResourceURN, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroupID

    public GroupID(String resourceURN)

  Constructor.

  Parameters
    `resourceURN` - the URN of the referrent resource

Method Detail

### getResourceIDBuilder

    protected GroupIDBuilder getResourceIDBuilder()

  Get the `GroupID`.

  Overrides:
    `getResourceIDBuilder` in class `com.bea.portal.tools.resource.framework.TaggedResourceID`
  Returns
    the the `GroupID`

### setResourcePathTags

    protected void setResourcePathTags(boolean canonicalResourceURN,
                                       com.bea.portal.tools.resource.framework.TaggedResourceID.TagMap tags)

  Overrides:
    `setResourcePathTags` in class `com.bea.portal.tools.resource.framework.TaggedResourceID`

### getGroupName

    public String getGroupName()

  Get the name of the group.

  Returns
    the name of the group

### getParentGroupID

    public GroupID getParentGroupID()

  Get the parent `GroupID`.

  Returns
    the parent `GroupID`

### getTitle

    public String getTitle()

  Get the title of the group.

  Returns
    the title of the group

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved